Welcome

Top Next

Let us Begin the Introduction


Overview

Overview Previous Top Next

Fresh Download is an easy-to-use and very fast download manager software that turbo charge downloading any files from the Internet, such as your favorite software, mp3 files, video files, etc. Unlike any other similar utilities, this software is 100% free, no charges, no banners/ads in the software (which will slowdown your download), no spyware .


How To

How to Use Previous Top Next

Manually adding files to download
Click the Add icon or press File>Add New URL menu or press Ctrl+Insert key. The Add new URL dialog will appear. Here you can enter the location of a file you want to retrieve, and folder to save.

Automatically adding files to download
Fresh Download can integrate with Internet Explorer (4.0 and later), Netscape (4.x and 6.x), and Opera (5.x and later) for easy click and download support. For example, if you set the Internet Explorer as your default browser, you should not do any additional operations for call of Fresh Download, simply browse normally using your Internet Explorer and when you find a file you want to download, just click the link like you would normally do. Fresh Download will intercept the file and appear Add new URL dialog. To disable this feature, you can disable the Integrate into Internet Explorer option in the Option dialog box (View>Fresh Download Options menu). To temporary disable this feature, you can press Alt button when click the download URL in your browser using your mouse.
* Note: In this latest version, Fresh Download will automatically attempt to make itself as your default download manager. A confirmation dialog box will appear on the screen when the program loaded, to do so click Yes.

Scheduling a Downloading
With Fresh Download you can schedule files to download later. To do so, first select any files you want to schedule for download. Click the Schedule icon or press Download>Schedule option. Set a start time and date for the download. Now your download will start at the scheduled time. * Note: In this version, the schedule feature only work if your computer always stays connected to the Net.

Multiple connections/Split downloading
To get the highest possible speed, Fresh Download can be specified to use more than one connection for the same file; the default setting is 4 connections and can be increased up to 8 connections. To specify how many connections will be used for a single file, go to the Option dialog box (View>Fresh Download Options menu) and then enter the number of connections in the Simultaneous connections box. You can set the same of different settings for http and ftp.
* Note: in a case if resume is not supported by the server then split downloading/multiple connections is impossible.

Clipboard monitoring
You can add a download item into the list simply by copying an URL contains a file with registered extensions (ZIP, EXE, MP3, etc.) in any applications, such as IE, Netscape, Opera, MS Word, etc (select a link followed by CTRL+C, Edit>Copy from these application's menu bar, or Copy from these application's context menu). To activate this option, go to the Option dialog box (View>Fresh Download Options>Integration menu) and then activate the Clipboard Monitoring option.

Drag & Drop feature
You can add a download item into the list simply by dragging & dropping an URL contains a file with registered extensions (ZIP, EXE, MP3, etc.) from any applications (e.g. IE, Netscape, Opera, MS Word, etc) that support drag & drop feature, into the download basket or download list. This feature is always active, however you show or hide the download basket simply by activate/deactivate the Show Download Basket for Drag and Drop option (View>Fresh Download Options>Integration menu).


System Requirements

System requirements Previous Top Next

To run FreshDownload on your computer, it is necessary that your system include the following components:

Operating Systems
  • Windows 95
  • Windows 95 OSR2
  • Windows 98
  • Windows 98 Second Edition
  • Windows Me
  • Windows NT 4.0
  • Windows 2000
  • Windows XP

CPU
Any x86 if only Windows was started.

RAM
Any size if only Windows was started.


Menus and Buttons

Menus and Buttons Previous Top Next

FreshDownload uses three kinds of command methods. They are toolbar, pulldown-menu, and rightclick-menu.

TOOLBAR

With toolbar, you can run some function in this program simply by click one of the toolbars. If the toolbar shows in color, the toolbar is active. Other, it is in greyscale , so it is inactive.

They are :
: ADD, put new URL to List
: DELETE, remove URL from the list
: START, begin to download files from URL
: PAUSE, hold the download process for awhile until you press 'start' toolbar again.
: STOP, halt the download process
: SCHEDULE, make a preparation of time when the download automatically runs
: PROPERTIES, see the information of the download process (i.e download directory, names of the file .etc)
: OPTIONS, set the download configurations.

PULLDOWN MENU

File
New File List.. - Make a new list of file
Open File List.. - Open existing file list.
Save File List as.. - Save existing file list into another file.
Reopen - Open again last file list.
Add new URL... - Make a new download process by insert new URL.
Delete - Remove URL download from file list.
Properties - show file/URL status (download status, connection)
Exit - Quit the program

Download
Start - start downloading the selected file/URL
Pause - pause (temporarily stop) running download for selected file
Stop - stop running download for selected file
Download All - downloads all files/URL in the list
Pause All - pause all running downloads
Stop All - stop all running downloads
Schedule - specify download schedule
Clear Schedule - delete schedule

View
Toolbars - show or hide toolbars
Status Bar - show or hide status bar
Text Labels - show or hide the text of toolbar's button
FreshDownload Options - call the Fresh Download Options dialog box

Help
Contents - show the list of help
Registers - get a full-version registration code.
About - show out the splash screen.

RIGHT-CLICK MENU

This menu does not appear yet, until you right-click on the download list area.

With this menu, you can run the program functions like a shortcut, so when you want to start the download process on specific list, just click your right mouse button.
They are :

Add New URL
Delete from list
Start Download
Pause Download
Stop Download
Schedule
Clear Schedule
Open
Properties

Commands above are similar with commands in pulldown menu or right-click menu.


Dialog Boxes

Dialog Boxes Previous Top Next

This section show the detail of dialog boxes in FreshDownload program. From here you can see all the features when dialog box comes out.They are:

Add New URL Dialog Box

Fill-in the URL field with the source of file location, for example : http : //www.xyz.com/xyz.zip or ftp : //www.xyz.com/xyz.zip. Specify the destination folder in the Save as field (by default, Fresh Download will use your Desktop as the destination folder). You can also specify the name of local file (if you want to make it different from original file), or leave it blank if you want to use its original name.

Property dialog box

This dialog box will show the property of downloaded files
General - Show status of downloaded files
Connection - Show status of every connection (parts of files)
* Note : connection will not be shown if the file has completely downloaded or the download has not started.

Option dialog box

FILES TAB
  • Categorized download - Specify the download file type, folder locations with specific setting.The setting can be add, edit, and remove from the list.
  • Default download folder - Specify the default folder to save downloaded files.
  • Temporary folder - Specify temporary folder for part of downloaded files (if you use multiple connections)
  • Remember last folder used - Use the past download folder.
  • When replacing existing file - Delete existing file or rename it with .BAK extension when the file is already exist
  • Start download after adding to list - If selected, the file will be automatically downloaded right after its URL added into the list
  • Start download after loading list - If selected, the file will be automatically downloaded when the list loaded (program started)
  • Delete from list after finished download - If selected, the item will be automatically deleted from the list after that item have finished its job to download .
  • Show Open/Run dialog after finished download - Activate this option if you want to open/run after finished download. If you activate internal zip extractor, the zip file will be opened by internal zip extractor.

INTEGRATION TAB
  • Integrate into Microsoft Internet Explorer - Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified extensions) from the Internet Explorer. There is two method for this option. Method 1 use BHO (Browser Helper Object) and this method will make sure the Fresh Download as your download manager. We recommended you to use this method. Method 2 use NSH (Name Space Handler), You can use this method as alternative if the Method1 is not work for your IE browser. You must also use this method (NSH method), if you want to use Fresh Download can integrate with other IE-based browser, such as NeoPlanet.
  • Replace IE Download dialog (I.E 5.5 or higher) - Use it to change the dialog when using I.E 5.5 or Higher.
  • Integrate into Netscape Communicator (4.x /6.x/7.x) - Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified extensions) from the Netscape Communicator version 4.x/6.x/7.x
  • Integrate into Opera - Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified extensions) from the Opera
  • Integrate into Mozilla - Use it to intercept the file and automatically call Add new URL dialog, when you click a URL contains a file (with specified extensions) from the Mozilla
  • Automatically start downloading the following extension - Use it to set extension of files, which should be captured. Every extension separated by an empty space
  • Show FD in IE context menu - This option will add two items in IE context menu :

1. Download using FreshDownload command to download selected URL in IE
2. Download All using FreshDownload command to download all URL in site that opened by IE
  • Show download basket for drag and drop - Use it to show download basket for easy adding url into the list
  • Check Default Download Manager - Use it to check the active download manager.
  • Clipboard monitoring - Use it to activate clipboard monitoring feature for easy adding url into the list
  • Virus checking - Use it to activate virus scanning feature in Fresh Download

1. Virus scanner - Use it to select your antivirus program
2. Parameter - Fill-in your antivirus program's parameters into this box
3. Only for type - Select the extensions will be scanned by antivirus programs
  • Define MIME Type - Select the type of MIME and check/uncheck it in the list.

CONNECTION TAB
  • Simultaneous connections - Define how many connections/split downloading may run at one time
  • Max simultaneous downloads - Define how many target files can be downloaded simultaneously. If your targets more than maximum value then the program will download the target as many as the maximum setting and put the rest of the targets into queue.
  • Download retry - Specify how many times the software will try to make connections
  • Retry wait - Waiting time between two retry
  • Timeout - Specify waiting time to get a response from the server. Within the time interval, if there is no response from the server then the error
  • message will appear on your screen. Adjust this option to a bigger number if the connection needs a longer time
  • Minimum size to split - Specify minimum size to activate simultaneous connections. When download size is below this option then FD will do it in single connection. Use Dial-up on Scheduler Use this option to auto connect to your dial-up networking. Just select your dial-up connection name, user name, and the password. If you want to disconnect after you finish the download job, then activate auto disconnect option.
  • Disconnect when finished downloads - automatically turn-off the internet connection when the download has finished.
  • Use Dial-Up on Scheduler - Dial-Up Connection will work on the specific time, with the login user name and password. the redial times also sets here.

PROXY TAB
  • HTTP Proxy - Check this option if your connection to the Internet in HTTP protocols using a proxy server. Enter the setting into the corresponding boxes : address, port, username and password. Leave the username and password empty if your proxy server does not required it
  • FTP Proxy - Check this option if your connection to the Internet in FTP protocols using a proxy server. Enter the setting into the corresponding boxes : address, port, username and password. Leave the username and password empty if your proxy server does not required it. Check the PASV option if you use passive mode.
  • Use FTP in PASV Mode - this sets the File Transfer Protocol as a connection with condition of passive by the client sends to FTP server.

PROTOCOL TAB
  • HTTP

1. User-Agent - Some website only allows certain browser to download from their site. By using this option, you're telling
FreshDownload to imitate Internet Explorer or Netscape. It is necessary to change the way offline explorer represents itself to other web
servers. The user agent can be vary but the default represents as Microsoft Internet Explorer 5.0.
2. User define - Variable that can be define in the User-Agent.
3. Send Referer - The referer wil send after the protocol.
4. Enable-Cookie - Activate the cookies facility.
  • FTP

1. Use ASCII mode for files with extension(s) : The ASCII mode configures for the specific file type.
2. E-Mail address for anonymous logins : Specify e-mail address if the login is in anonymous name mode.

SITE PASSWORD TAB
  • Add button : Use this button to add password and user name for specific site which requires authorization
  • Edit button : Use this button to edit password and user name
  • Remove button : Select site's name and then click this button to remove it from the list

EXCLUDED SITE TAB
Add Use this button to add new sites into the excluded list. There are 3 rules :
1. Always : Fresh Download will always bypass downloading any file in this site.
2. If found : Fresh Download will bypass downloading from this site if only found the word specified in the URL.
3. If not found : opposite of the rules #2
  • Add Use this button to add selected site.
  • Edit Use this button to edit selected site.
  • Remove Use this button to remove selected site from the.

INTERNAL ZIP TAB
  • Use internal zip extractor : Activate this option to use Fresh Download internal zip extractor
  • Unzip folder : Set the default destination root for the unzipped files
  • Overwrite files : Overwrite files if already exists
  • Open zip folder after unzip : Activate this option to open zip folder after unzip

SOUNDS TAB
In this section you can configure a sound schemes for FreshDownload process.The present sounds to configure are:
  • Add download
  • Download start
  • Download Failure
  • Download Success
  • All Download Finish

You can Edit, Remove, or Play the sound. For button 'Edit', popup window will be showed. There are options here :
  • No Sound (The sound is off)
  • System Sound (Use System sound Library)
  • From File (Open specific folder and choose sound file)

Last, you can confirm the change by click 'Ok'.

DISPLAY TAB
Graphics Display
  • Maximum display : Set maximum value of transfer rate's graphic
  • Background color : Color of transfer rate's background
  • Bar color : Color of transfer rate bar
  • Bar color style : Style of the bar : solid or gradation
  • Chart Direction : direction of the chart : Left to Right or Right to Left

File List
  • Use background : Use a bitmap as background of the list, and also the settings of the font showed on the download list section.
  • Gridlines : Show/hide grid on the list
  • Columns : Show/hide some columns banner such as filename, size of the files, downloaded status, the percentage of downloaded item,estimated time, schedule of item download time, description of the downloaded items, URL where them downloaded items located. The mark/unmark of the box of the columns changes the display of the download list.

ADVANCED TAB
  • Always show Add Dialog : Automatically shows Add Dialog when ready to download.
  • Get File date and time from server : Check the date and time information of the file from the downloaded server.
  • Shut Down after finished downloads : Turn Off the Computer automatically if the downloading process has finished.

Download dialog box

This dialog box will show the the process of downloading.

  • Details : Show any indicates such number of retry,downloaded size, and status.
  • Today's hot stuff : Open url in your browser from www.frshdevices.com that offer a lot of interesting stuff.
  • Pause : Stop downloading process for awhile.
  • Cancel : stop the downloading process and close the download dialog box.


Keyboard Shortcuts

Keyboard Shortcuts Previous Top Next

These table lists the shortcuts available in FreshDownload.
Key | Action
F1 | Help.
Ins | Add new URL.
Del | Del download item.
Ctrl+S | Start download item.
Ctrl+P | Pause download item.
Ctrl+Alt+S | Start all download items.
Ctrl+Alt+P | Pause all download items.
Ctrl+X | Exit program.


FAQ

FAQ Previous Top Next

There is some common FAQ below, and for advance you can click here
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Q: The registration code did not work. I enter the information as directed and the program still does not recognize it as being registered. Any suggestions?
A: Please use copy and paste to avoid mistype. Also please make sure you are entering the correct code, do not use Fresh Download in Fresh Diagnose or Fresh UI and vice versa. If you scroll down the "download receipt" message, you will see four different codes.
_______________

Q: When I start your software I get a pop up that says I'm past my trial. I went and got a registration code but the pop up comes up with your software and won't let me do anything. How do I enter the registration code?
A: Please wait until the countdown button in that nag screen can be accessed (few seconds or minutes) then you can go to the registration dialog box and enter your registration code.
_______________

Q: Why Fresh Download is not automatically activated and take over the download operation when I click a URL contains a file in my browser?
A: First, make sure you have uninstalled all download manager applications installed before FreshDownload.
After installation completed, restart your computer, and then run Fresh Download.
When a window pops up on the screen asking you "Would you like to make FreshDownload as your default download manager?", click Yes.
Go to View > FreshDownload Options menu, click Integration tab, and then make sure the "Integrate into Internet Explorer (and or Netscape Communicator/Opera)" options has been checked/selected, if so click OK.
Exit from Fresh Download and then restart your computer.
Try to test downloading any files from your browser.
If you use Internet Explorer 6.0, please also make sure the third party browser extensions in IE 6.0 settings has been enabled. To enable it, go to IE Tools-Internet Options-Advanced-Browsing and make sure the "Enable third party browser extensions (requires restart)" has been checked and then restart your Windows.
_______________

Q: I want to use Fresh Download with my Phoenix browser or Mozilla Firebird. How can I integrate it?
A: Copy & paste file named "fdplugin.dll" in FreshDownload folder as "npfd.dll" into: X:\Phoenix\plugins\
Read more here
You can also apply this in other mozilla based browser.
_______________

Q: Even though it is uninstalled and I have attempted to delete any relating entries in the registry, I get a message, Fresh Download cannot take over this download. How could I solved it?
A: We have put "FD.exe /u" command line in the installer to unregister all DLL files that probably registered into your system.
If this failed and Fresh Download plug-in still in the Netscape/ Mozilla/Opera plug-in folder, then try to delete npfd.dll or fdplugin.dll file from that folder.
Or if there is problem with IE integration, type this on your run menu:
regsvr32 /u "C:\Program Files\FreshDevices\FreshDownload\FDcatch.dll"
Restart your computer, and then delete all files in Fresh Download folder. Fresh Download only keeps its files in that folder.
_______________

Q: When I install the new version of Fresh Download the following error message displayed: "COULD NOT REPLACE FILE FD.EXE , ERROR 5"
A: Close the old FreshDevices before installing the new version. Probably you run it in the background (look into your systray). This also solves the same problem with other FreshDevices software.
_______________

Q: I have done everything you say in the FAQs but I still get the IE dialog and FD only comes up intermittently. The settings I set won't stay enabled in options and I keep getting told to restart the browser. How to solved it?
A: Try to use Method2 of Integration, this method will work with IE based browser. But make sure you have deactivate "Replace IE dialog" option.
_______________

Q: When I want to download it "Initializes" and then hangs on, then runs through the 5 redials until it fails. It's as if It can't either get access, or cant access. I have uninstalled, and then reinstalled Fresh Download. I have turned off firewall, but to no avail.
A: If this problem happened in all url and server then it means there is a problem with your system. Make sure you have given permission to "fdgo.exe" file to access Internet in your firewall settings. And if you use proxy server connection, make sure you have set it in Fresh Download Options, like you set it in your browser.


Disclaimer

Disclaimer Previous Top Next

FRESH DOWNLOAD IS PROVIDED AS IS. FRESHDEVICES CORP. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of FRESH DOWNLOAD or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.

Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that FRESH DOWNLOAD functions well in his or her environment. The user must assume the entire risk of using


Distribution

Distribution Previous Top Next

You may reproduce and distribute an unlimited number of copies of FRESH DOWNLOAD ; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a complete documentations.

FRESH DOWNLOAD may not be sold or be included in a product or package which intends to receive benefits through the inclusion of this product. FRESH DOWNLOAD may be included in any free or non-profit packages or products.

This FRESH DOWNLOAD software is the property of FRESHDEVICES CORPORATION. Any reproduction in whole or in part is strictly prohibited.


Licensing

Licensing Previous Top Next

Personal License
FRESHDOWNLOAD is FREE for personal/private use only. Free registration is required if you want to use it longer than 11 days. Registration number for this version can be obtained for FREE, simply visit http://www.freshdevices.com.

You must insert registration code if you want to use it for more than 11 days. Registration code can be obtained from us for FREE simply by submitting this simple form (note: please turn on your modem).

Business License
The license associated with this product allows for free personal use only. Use on PC(s) in a corporate, educational, military or government installation is prohibited. You MUST purchase a license if you are using this software in any business, commercial, educational, military or government organization. This license also covers two other software published by Freshdevices.com: FreshUI and FreshDiagnose.

1. Freshdevices Home Office License .......................................... USD 39 (1 computer)

2. Freshdevices Bronze License .................................................. USD 95 (up to 5 computers)

3. Freshdevices Silver License .................................................... USD 295 (up to 25 computers)

4. Freshdevices Gold License ...................................................... USD 995 (up to 250 computers)


Contact Us

Bugs reports Previous Top

Send your comments, suggestions and bug reports for future development of Fresh Download to http://www.freshdevices.com/contact.html

____________________________________________________________________________________________________________________
© 2000-2003 FreshDevices. All rights reserved.